/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.action;

/**
 * 定数の集まり。
 * 
 * @author nakamura
 * 
 */
public final class ActionConstants {
	private ActionConstants() {
	} // カバレージがここを通過してはいけない

	/**
	 * 無条件にマッチする{@link ForwardMatchable}。
	 */
	public static final ForwardMatchable ANY = new ForwardMatchable() {
		public boolean matches(final Object aReturnedObject) {
			return true;
		}
	};

	/**
	 * {@link Throwable}とそのサブクラス以外にマッチする{@link ForwardMatchable}。
	 */
	public static final ForwardMatchable NOT_THROWABLE = new NotForwardMatcher(
			new ForwardMatcher(Throwable.class));
}
